Subject: [PATCH] drm: sti: adapt DT to fix probe/bind issues in DRM driver

From: [email-masked] (Olof Johansson)
Date: Thu, 24 Sep 2015 16:50:17 -0700

On Wed, Sep 23, 2015 at 09:48:03PM +0200, Maxime Coquelin wrote:
> From: Benjamin Gaignard <[email-masked]>
> 
> STI drm drivers probe and bind using component framework was incorrect.
> In addition to drivers fix DT update is needed to make all sub-components
> become childs of sti-display-subsystem.
> 
> Signed-off-by: Benjamin Gaignard <[email-masked]>
> Signed-off-by: Maxime Coquelin <[email-masked]>
> ---
> Hi Arnd, Olof & Kevin,
> 
> This patch has its driver counterpart merged in v4.3-rc1.
> As missing in v4.3, the display is now broken on STiH07 and STiH410 platforms.
> 
> I have only this single patch for v4.3-rc fixes, so can you pick it directly,
> or I should send a pull-request anyway?

Applied directly, since I had to fixup the patch subject. Thanks!

-Olof